Debian Bug report logs - #378831
mldonkey-server: mldonkey crashes on startup

version graph

Package: mldonkey-server; Maintainer for mldonkey-server is Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>; Source for mldonkey-server is src:mldonkey.

Reported by: Julien Langer <julien.langer@gmail.com>

Date: Wed, 19 Jul 2006 08:18:01 UTC

Severity: important

Found in version mldonkey/2.7.7-4

Fixed in version mldonkey/2.7.7-7

Done: Samuel Mimram <smimram@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://savannah.nongnu.org/bugs/index.php?func=detailitem&item_id=17160

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Julien Langer <julien.langer@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mldonkey-server: mldonkey crashes on startup
Date: Wed, 19 Jul 2006 09:46:53 +0200
Package: mldonkey-server
Version: 2.7.7-4
Severity: grave
Justification: renders package unusable

Since version 2.7.7-4 the mldonkey-server always crashes on startup with
the following message:
*** glibc detected *** corrupted double-linked list: 0x0850c210 ***

This does not happen with version 2.7.7-3

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17.4
Locale: LANG=en_GB.ISO-8859-15, LC_CTYPE=en_GB.ISO-8859-15 (charmap=ISO-8859-15)

Versions of packages mldonkey-server depends on:
ii  adduser                     3.94         Add and remove users and groups
ii  debconf [debconf-2.0]       1.5.2        Debian configuration management sy
ii  dpkg                        1.13.22      package maintenance system for Deb
ii  libbz2-1.0                  1.0.3-3      high-quality block-sorting file co
ii  libc6                       2.3.6-15     GNU C Library: Shared libraries
ii  libfreetype6                2.2.1-2      FreeType 2 font engine, shared lib
ii  libgcc1                     1:4.1.1-9    GCC support library
ii  libgd2-xpm                  2.0.33-5     GD Graphics Library version 2
ii  libjpeg62                   6b-13        The Independent JPEG Group's JPEG 
ii  libmagic1                   4.17-2       File type determination library us
ii  libpng12-0                  1.2.8rel-5.2 PNG library - runtime
ii  libstdc++6                  4.1.1-9      The GNU Standard C++ Library v3
ii  libx11-6                    2:1.0.0-7    X11 client-side library
ii  libxpm4                     1:3.5.4.2-3  X11 pixmap library
ii  mime-support                3.37-1       MIME files 'mime.types' & 'mailcap
ii  ucf                         2.0012       Update Configuration File: preserv
ii  zlib1g                      1:1.2.3-13   compression library - runtime

mldonkey-server recommends no packages.

-- debconf information excluded



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to Samuel Mimram <samuel.mimram@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #8 received at 378831@bugs.debian.org (full text, mbox):

From: Samuel Mimram <samuel.mimram@ens-lyon.org>
To: Julien Langer <julien.langer@gmail.com>, 378831@bugs.debian.org
Subject: Re: Bug#378831: mldonkey-server: mldonkey crashes on startup
Date: Wed, 19 Jul 2006 12:24:00 +0200
Hi,

Julien Langer wrote:
> Since version 2.7.7-4 the mldonkey-server always crashes on startup with
> the following message:
> *** glibc detected *** corrupted double-linked list: 0x0850c210 ***
> 
> This does not happen with version 2.7.7-3

My guess here is that this is due to the dependency on libmagic which
I've added in 2.7.7-4. To confirm this, could you please send me a gdb
stacktrace? In order to get this, you only have to do

% gdb mldonkey_server
(gdb) r
...
[wait for the crash]
...
(gdb) bt

and send me the output.

Thanks.

Cheers,

Samuel.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to "Sylvain Le Gall" <sylvain.le-gall@polytechnique.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #13 received at 378831@bugs.debian.org (full text, mbox):

From: "Sylvain Le Gall" <sylvain.le-gall@polytechnique.org>
To: Samuel Mimram <samuel.mimram@ens-lyon.org>, 378831@bugs.debian.org
Subject: Re: Bug#378831: mldonkey-server: mldonkey crashes on startup
Date: Wed, 19 Jul 2006 23:11:34 +0200
Hello,

On Wed, Jul 19, 2006 at 12:24:00PM +0200, Samuel Mimram wrote:
> Hi,
> 
> Julien Langer wrote:
> > Since version 2.7.7-4 the mldonkey-server always crashes on startup with
> > the following message:
> > *** glibc detected *** corrupted double-linked list: 0x0850c210 ***
> > 
> > This does not happen with version 2.7.7-3
> 
> My guess here is that this is due to the dependency on libmagic which
> I've added in 2.7.7-4. To confirm this, could you please send me a gdb
> stacktrace? In order to get this, you only have to do
> 
> % gdb mldonkey_server
> (gdb) r
> ...
> [wait for the crash]
> ...
> (gdb) bt
> 
> and send me the output.
> 

I think you can also use "valgrind" which will help you to plot exactly
where this error happens.

Kind regard
Sylvain Le Gall



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to Julien Langer <julien.langer@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #18 received at 378831@bugs.debian.org (full text, mbox):

From: Julien Langer <julien.langer@googlemail.com>
To: 378831@bugs.debian.org
Subject: Re: Bug#378831: mldonkey-server: mldonkey crashes on startup
Date: Thu, 20 Jul 2006 10:11:35 +0200
#100 0x08348b10 in ?? ()
#101 0x08095470 in ?? ()
#102 0xb763da5c in ?? ()
#103 0x084d7210 in ?? ()
#104 0x0804ed49 in ?? ()
#105 0x0831ad6a in std::operator+<char, std::char_traits<char>,
std::allocator<char> > ()
Previous frame inner to this frame (corrupt stack?)

lots of those lines with questions marks, so I don't know if it is that
useful.
I tried to compile mldonkey with debugging symbols by adding
--enable-debug to the configure switches in the debian/rules file and
recompiled but there are still no debugging symbols.


On Wed, 2006-07-19 at 12:24 +0200, Samuel Mimram wrote:
> Hi,
> 
> Julien Langer wrote:
> > Since version 2.7.7-4 the mldonkey-server always crashes on startup with
> > the following message:
> > *** glibc detected *** corrupted double-linked list: 0x0850c210 ***
> > 
> > This does not happen with version 2.7.7-3
> 
> My guess here is that this is due to the dependency on libmagic which
> I've added in 2.7.7-4. To confirm this, could you please send me a gdb
> stacktrace? In order to get this, you only have to do
> 
> % gdb mldonkey_server
> (gdb) r
> ...
> [wait for the crash]
> ...
> (gdb) bt
> 
> and send me the output.
> 
> Thanks.
> 
> Cheers,
> 
> Samuel.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to Samuel Mimram <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #23 received at 378831@bugs.debian.org (full text, mbox):

From: Samuel Mimram <INVALID.NOREPLY@gnu.org>
To: 378831@bugs.debian.org, Samuel Mimram <samuel.mimram@ens-lyon.org>, mldonkey-bugs@nongnu.org
Subject: [bug #17160] mldonkey crashes on startup
Date: Thu, 20 Jul 2006 13:47:36 +0200
URL:
  <http://savannah.nongnu.org/bugs/?func=detailitem&item_id=17160>

                 Summary: mldonkey crashes on startup
                 Project: mldonkey, a multi-networks file-sharing client
            Submitted by: smimram
            Submitted on: Thursday 07/20/2006 at 13:47
                Category: Core
                Severity: 3 - Normal
              Item Group: Segmentation Fault
                  Status: None
             Assigned to: None
             Open/Closed: Open
                 Release: 
                 Release: 2.7.7
        Operating System: Linux
         Binaries Origin: Debian package
                CPU type: Intel x86

    _______________________________________________________

Details:

Hi,

Since version 2.7.7-4 the mldonkey-server always crashes on startup with the
following message:
*** glibc detected *** corrupted double-linked list: 0x0850c210 ***

This does not happen with version 2.7.7-3

[The main change which could have caused that between 2.7.7-3 and 2.7.7-4 is
the use of libmagic]

Here is an extercept of the stacktrace:

#100 0x08348b10 in ?? ()
#101 0x08095470 in ?? ()
#102 0xb763da5c in ?? ()
#103 0x084d7210 in ?? ()
#104 0x0804ed49 in ?? ()
#105 0x0831ad6a in std::operator+<char, std::char_traits<char>,
std::allocator<char> > ()
Previous frame inner to this frame (corrupt stack?)

You can find more information about the Debian bug report at
http://bugs.debian.org/378831



    _______________________________________________________

Carbon-Copy List:

CC Address                          | Comment
------------------------------------+-----------------------------
378831@bugs.debian.org              | 




    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?func=detailitem&item_id=17160>

_______________________________________________
  Message sent via/by Savannah
  http://savannah.nongnu.org/




Noted your statement that Bug has been forwarded to http://savannah.nongnu.org/bugs/index.php?func=detailitem&item_id=17160. Request was from Samuel Mimram <smimram@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to spiralvoice <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 378831@bugs.debian.org (full text, mbox):

From: spiralvoice <INVALID.NOREPLY@gnu.org>
To: julien.langer@gmail.com, 378831@bugs.debian.org, Samuel Mimram <samuel.mimram@ens-lyon.org>, spiralvoice <spiralvoice@hotmail.com>, mldonkey-bugs@nongnu.org
Subject: [bug #17160] mldonkey crashes on startup
Date: Thu, 20 Jul 2006 14:13:59 +0200
Update of bug #17160 (project mldonkey):

                  Status:                    None => Works For Me           

    _______________________________________________________

Follow-up Comment #1:

Using Debian unstable with latest packages:
ii  libmagic-dev                   4.17-2                         File type
determination library (development)
ii  libmagic1                      4.17-2                         File type
determination library using "magic" numbers

ocamlc -v
The Objective Caml compiler, version 3.09.2

gcc -v
gcc version 4.1.2 20060715 (prerelease) (Debian 4.1.1-9)

compiled MLDonkey CVS from source with Debian Ocaml package.
MLDonkey starts without problems here. Can you reproduce the
problem on your machine?

"debug_dir ." also works:
37 entries in dir .
store_1024
     data
Mime application/octet-stream

store_512
     data
Mime application/octet-stream

bw_h_updown.png
     PNG image data, 630 x 200, 4-bit colormap, non-interlaced
Mime image/png

bw_updown.png
     PNG image data, 630 x 200, 4-bit colormap, non-interlaced
Mime image/png

store_256
     data
Mime application/octet-stream

mlnet.pid
     ASCII text
Mime text/plain; charset=us-ascii

config_files_space.tmp
     ASCII text, with very long lines, with no line terminators
Mime text/plain; charset=us-ascii

file_sources.ini
     ASCII English text
Mime text/plain; charset=us-ascii

gnutella.ini
     ASCII English text
Mime text/plain; charset=us-ascii

gnutella2.ini
     ASCII English text
Mime text/plain; charset=us-ascii

mlnet.log
     ASCII text
Mime text/plain; charset=us-ascii

fileTP.ini
     ASCII English text
Mime text/plain; charset=us-ascii

fasttrack.ini
     ASCII English text
Mime text/plain; charset=us-ascii

donkey.ini
     ASCII English text, with very long lines
Mime text/plain; charset=us-ascii

stats_bt.ini
     ASCII English text
Mime text/plain; charset=us-ascii

bittorrent.ini
     ASCII English text
Mime text/plain; charset=us-ascii

onlinesig.dat
     ASCII text
Mime text/plain; charset=us-ascii

stats.ini
     ASCII English text
Mime text/plain; charset=us-ascii

stats_mod.ini
     ASCII English text
Mime text/plain; charset=us-ascii

users.ini
     ASCII English text
Mime text/plain; charset=us-ascii

downloads.ini
     ASCII English text
Mime text/plain; charset=us-ascii

shared_files_new.ini
     ASCII English text
Mime text/plain; charset=us-ascii

mldonkey_submit
     perl script text executable
Mime application/x-perl

mlsubmit.reg
     ASCII text
Mime text/plain; charset=us-ascii

torrents
     directory
Mime application/x-not-regular-file

servers.ini
     ASCII English text
Mime text/plain; charset=us-ascii

friends.ini
     ASCII English text
Mime text/plain; charset=us-ascii

searches.ini
     ASCII English text
Mime text/plain; charset=us-ascii

files.ini
     ASCII English text
Mime text/plain; charset=us-ascii

shared_files.ini
     ASCII English text
Mime text/plain; charset=us-ascii

old_config
     directory
Mime application/x-not-regular-file

temp
     directory
Mime application/x-not-regular-file

web_infos
     directory
Mime application/x-not-regular-file

searches
     directory
Mime application/x-not-regular-file

incoming
     directory
Mime application/x-not-regular-file

shared
     directory
Mime application/x-not-regular-file

mlnet_strings.en
     Mathematica 3.0 notebook
Mime text/plain; charset=us-ascii

    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?func=detailitem&item_id=17160>

_______________________________________________
  Nachricht geschickt von/durch Savannah
  http://savannah.nongnu.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to Samuel Mimram <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 378831@bugs.debian.org (full text, mbox):

From: Samuel Mimram <INVALID.NOREPLY@gnu.org>
To: julien.langer@gmail.com, 378831@bugs.debian.org, Samuel Mimram <samuel.mimram@ens-lyon.org>, spiralvoice <spiralvoice@hotmail.com>, mldonkey-bugs@nongnu.org
Subject: [bug #17160] mldonkey crashes on startup
Date: Thu, 20 Jul 2006 14:25:16 +0200
Follow-up Comment #2, bug #17160 (project mldonkey):

Unfortunately, I cannot reproduce the bug either. I thought that maybe you
could neverteless have an idea about what its cause could be...

    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?func=detailitem&item_id=17160>

_______________________________________________
  Message sent via/by Savannah
  http://savannah.nongnu.org/




Tags added: unreproducible, moreinfo Request was from Samuel Mimram <smimram@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to spiralvoice <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 378831@bugs.debian.org (full text, mbox):

From: spiralvoice <INVALID.NOREPLY@gnu.org>
To: julien.langer@gmail.com, 378831@bugs.debian.org, Samuel Mimram <samuel.mimram@ens-lyon.org>, spiralvoice <spiralvoice@hotmail.com>, mldonkey-bugs@nongnu.org
Subject: [bug #17160] mldonkey crashes on startup
Date: Thu, 20 Jul 2006 16:33:56 +0200
Update of bug #17160 (project mldonkey):

             Open/Closed:                    Open => Closed                 


    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?func=detailitem&item_id=17160>

_______________________________________________
  Nachricht geschickt von/durch Savannah
  http://savannah.nongnu.org/




Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to Samuel Mimram <samuel.mimram@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 378831@bugs.debian.org (full text, mbox):

From: Samuel Mimram <samuel.mimram@ens-lyon.org>
To: Julien Langer <julien.langer@googlemail.com>, 378831@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#378831: mldonkey-server: mldonkey crashes on startup
Date: Wed, 09 Aug 2006 17:42:28 +0200
serverity 378831 important
thanks

Hi,

I'm downgrading the severity for now since I'm not able to reproduce the
bug (and nobody else has for now).

Julien Langer wrote:
> I tried to compile mldonkey with debugging symbols by adding
> --enable-debug to the configure switches in the debian/rules file and
> recompiled but there are still no debugging symbols.

Could you try to install a version of libmagic with debugging symbols
and see if you have a more precise stacktrace? I've compiled libmagic
with debugging symbols and put it here:

http://people.debian.org/~smimram/mldonkey/libmagic1_4.17-2_i386.deb

Just do dpkg -i libmagic1_4.17-2_i386.deb to isntall it.

Thanks.

Cheers,

Samuel.



Severity set to `important' from `grave' Request was from Samuel Mimram <smimram@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug had been forwarded to http://savannah.nongnu.org/bugs/index.php?func=detailitem&item_id=17160. Request was from Samuel Mimram <smimram@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed-upstream Request was from Samuel Mimram <smimram@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to Samuel Mimram <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 378831@bugs.debian.org (full text, mbox):

From: Samuel Mimram <INVALID.NOREPLY@gnu.org>
To: 378831@bugs.debian.org, Samuel Mimram <samuel.mimram@ens-lyon.org>, spiralvoice <spiralvoice@compuserve.de>, mldonkey-bugs@nongnu.org
Subject: [bug #17160] mldonkey crashes on startup
Date: Wed, 16 Aug 2006 13:29:08 +0200
Follow-up Comment #3, bug #17160 (project mldonkey):

Hi,

Now the problem also happens to me. I've got the following stacktrace when I
run mlnet:

#0  0xa7ce64ee in memset () from /lib/tls/i686/cmov/libc.so.6
#1  0xffffffff in ?? ()
#2  0xa7ed616d in apprentice_file (ms=0x84f6f70, magicp=0xaf892fdc,
    nmagicp=0xaf892fd8, fn=0x84f8b50 "/etc/magic", action=0)
    at apprentice.c:567
#3  0xa7ed7615 in file_apprentice (ms=0x84f6f70, fn=0x84f8b50 "/etc/magic",
    action=0) at apprentice.c:183
#4  0xa7ed56c2 in magic_load (ms=0x84f6f70, magicfile=0x0) at magic.c:156
#5  0x082f40b9 in std::operator+<char, std::char_traits<char>,
std::allocator<char> > ()
#6  0x081ea496 in ?? ()
#7  0xa7a8d864 in ?? ()
#8  0xa7a8d864 in ?? ()
#9  0x0812d6c6 in ?? ()
#10 0xaf893088 in ?? ()
#11 0x0812d6a5 in ?? ()
#12 0x084dbfa4 in ?? ()
#13 0x44e2ed79 in ?? ()
#14 0x00000000 in ?? ()

The contents of my /etc/magic file are not customized:

# Magic local data for file(1) command.
# Insert here your local magic data. Format is described in magic(5).

# Objective Caml file types
0       string  Caml1999        Objective caml
>8      string  X               exec file
>8      string  I               interface file\ (*.cmi)
>8      string  O               object file\ (*.cmo)
>8      string  A               library file\ (*.cma)
>8      string  Y               native object file\ (*.cmx)
>8      string  Z               native library file\ (*.cmxa)
>9      string  >\0             (Version %3.3s).

I have libmagic1 4.17-3. Feel free to tell me if you need me to do further
tests.

PS: I didn't find how to reopen the bug.

    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?17160>

_______________________________________________
  Message sent via/by Savannah
  http://savannah.nongnu.org/




Noted your statement that Bug has been forwarded to http://savannah.nongnu.org/bugs/index.php?func=detailitem&item_id=17160. Request was from Samuel Mimram <smimram@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to Samuel Mimram <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 378831@bugs.debian.org (full text, mbox):

From: Samuel Mimram <INVALID.NOREPLY@gnu.org>
To: 378831@bugs.debian.org, Samuel Mimram <samuel.mimram@ens-lyon.org>, spiralvoice <spiralvoice@compuserve.de>, mldonkey-bugs@nongnu.org
Subject: [bug #17160] mldonkey crashes on startup
Date: Wed, 16 Aug 2006 15:02:40 +0200
Follow-up Comment #4, bug #17160 (project mldonkey):

FWIW, I found out that this bug had already been reported to ocaml-magic:

http://sourceforge.net/tracker/index.php?func=detail&aid=1514849&group_id=129316&atid=714527

    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?17160>

_______________________________________________
  Message sent via/by Savannah
  http://savannah.nongnu.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to spiralvoice <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #78 received at 378831@bugs.debian.org (full text, mbox):

From: spiralvoice <INVALID.NOREPLY@gnu.org>
To: 378831@bugs.debian.org, Samuel Mimram <samuel.mimram@ens-lyon.org>, spiralvoice <spiralvoice@compuserve.de>, mldonkey-bugs@nongnu.org
Subject: [bug #17160] mldonkey crashes on startup
Date: Wed, 16 Aug 2006 15:30:12 +0200
Update of bug #17160 (project mldonkey):

                  Status:            Works For Me => None                   
             Open/Closed:                  Closed => Open                   


    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?17160>

_______________________________________________
  Nachricht geschickt von/durch Savannah
  http://savannah.nongnu.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to spiralvoice <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #83 received at 378831@bugs.debian.org (full text, mbox):

From: spiralvoice <INVALID.NOREPLY@gnu.org>
To: 378831@bugs.debian.org, Samuel Mimram <samuel.mimram@ens-lyon.org>, spiralvoice <spiralvoice@compuserve.de>, mldonkey-bugs@nongnu.org
Subject: [bug #17160] mldonkey crashes on startup
Date: Wed, 16 Aug 2006 15:31:28 +0200
Follow-up Comment #5, bug #17160 (project mldonkey):

Yes, the bug is known, but until now only on Slackware which lacks magic.mgc
files.

Debian package has this file, now I do not unterstand why MLDonkey
tries to load /etc/magic first
http://packages.debian.org/stable/libs/libmagic1


    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?17160>

_______________________________________________
  Nachricht geschickt von/durch Savannah
  http://savannah.nongnu.org/




Tags removed: moreinfo, unreproducible Request was from Samuel Mimram <smimram@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to spiralvoice <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #90 received at 378831@bugs.debian.org (full text, mbox):

From: spiralvoice <INVALID.NOREPLY@gnu.org>
To: 378831@bugs.debian.org, Samuel Mimram <samuel.mimram@ens-lyon.org>, spiralvoice <spiralvoice@compuserve.de>, mldonkey-bugs@nongnu.org
Subject: [bug #17160] Crash when loading text version of GNU file magic database
Date: Wed, 16 Aug 2006 15:32:27 +0200
Update of bug #17160 (project mldonkey):

                 Summary: mldonkey crashes on startup => Crash when loading
text version of GNU file magic database


    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?17160>

_______________________________________________
  Nachricht geschickt von/durch Savannah
  http://savannah.nongnu.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Reply sent to Samuel Mimram <smimram@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien Langer <julien.langer@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #104 received at 378831-close@bugs.debian.org (full text, mbox):

From: Samuel Mimram <smimram@debian.org>
To: 378831-close@bugs.debian.org
Subject: Bug#378831: fixed in mldonkey 2.7.7-7
Date: Thu, 17 Aug 2006 04:47:14 -0700
Source: mldonkey
Source-Version: 2.7.7-7

We believe that the bug you reported is fixed in the latest version of
mldonkey, which is due to be installed in the Debian FTP archive:

mldonkey-gui_2.7.7-7_i386.deb
  to pool/main/m/mldonkey/mldonkey-gui_2.7.7-7_i386.deb
mldonkey-server_2.7.7-7_i386.deb
  to pool/main/m/mldonkey/mldonkey-server_2.7.7-7_i386.deb
mldonkey_2.7.7-7.diff.gz
  to pool/main/m/mldonkey/mldonkey_2.7.7-7.diff.gz
mldonkey_2.7.7-7.dsc
  to pool/main/m/mldonkey/mldonkey_2.7.7-7.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 378831@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Mimram <smimram@debian.org> (supplier of updated mldonkey package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 28 Jul 2006 18:29:28 +0200
Source: mldonkey
Binary: mldonkey-gui mldonkey-server
Architecture: source i386
Version: 2.7.7-7
Distribution: unstable
Urgency: low
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Changed-By: Samuel Mimram <smimram@debian.org>
Description: 
 mldonkey-gui - Graphical frontend for mldonkey based on GTK
 mldonkey-server - Door to the 'donkey' network
Closes: 254000 344905 378831 380222 383187
Changes: 
 mldonkey (2.7.7-7) unstable; urgency=low
 .
   * Disabling libmagic support since it was causing a segfault,
     closes: #378831.
   * Added cvs_20060815.dpatch to have the current CVS version as requested by
     upstream, closes: #383187.
   - It is now possible to use the normal address/mask format in allowed_ips,
     closes: #344905.
   - Logging to syslog and to a file are now independent, closes: #254000.
   - This patch contains 03_lock_config_files_space.dpatch and 04_cfs.dpatch,
     which have been disabled.
   * Correct bashisms in mldonkey_create_chroot, closes: #380222.
Files: 
 34d95f0e7c37fc966179d0c3745609d8 986 net optional mldonkey_2.7.7-7.dsc
 6ec7b7da1cb9a579eddd713e3ec099ba 311689 net optional mldonkey_2.7.7-7.diff.gz
 a6deb36d9209160fe370beb242a78ffe 2872972 net optional mldonkey-server_2.7.7-7_i386.deb
 9ba2bc9acce3bbd45e674049eec7f8e8 3261344 net optional mldonkey-gui_2.7.7-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE5FZ9Iae1O4AJae8RArjUAJ92UudoR6W9yxHTSqG6byEhMtmO/QCeP/Cz
Oda3Teit8Q65Mle1Objxmh0=
=Kda8
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#378831; Package mldonkey-server. Full text and rfc822 format available.

Acknowledgement sent to "spiral voice" <spiralvoice@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #109 received at 378831@bugs.debian.org (full text, mbox):

From: "spiral voice" <spiralvoice@hotmail.com>
To: 378831@bugs.debian.org
Subject: Re:
Date: Sun, 03 Sep 2006 14:31:45 +0200
Please set $MAGIC in MLDonkey start-up environment to 
"/usr/share/file/magic.mgc" and try again.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 02:56:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:12:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.